Package: org.grails.exceptions.reporting

## [Groovy] Interface CodeSnippetPrinter

-     interface CodeSnippetPrinter

  Interfaces for classes to implement that print code snippets

  Authors:
    Graeme Rocher
  Since:
    2.2

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract java.lang.String` | `prettyPrintCodeSnippet(java.lang.Throwable exception)` Attempts to present a preview code snippet of the code that went wrong

- - ### Method Detail

    - #### abstract java.lang.String prettyPrintCodeSnippet(java.lang.Throwable exception)

      Attempts to present a preview code snippet of the code that went wrong

      Parameters:
        `exception` - The exception
      Returns:
        The code snippet or nothing if it can't be previewed